Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Message_Version Class Reference

Major and Minor version number of the Inter-ORB Protocol. More...

`#include <GIOP_Message_Version.h>`

List of all members.

## Public Methods
| TAO_GIOP_Message_Version (const TAO_GIOP_Message_Version &src)
| Copy constructor.
| TAO_GIOP_Message_Version (CORBA::Octet maj = TAO_DEF_GIOP_MAJOR, CORBA::Octet min = TAO_DEF_GIOP_MINOR)
| Default constructor.
| ~TAO_GIOP_Message_Version (void)
| Destructor.
void | set_version (CORBA::Octet maj, CORBA::Octet min)
| Explicitly set the major and minor version.
TAO_GIOP_Message_Version& | operator= (const TAO_GIOP_Message_Version &src)
| Copy operator.
int | operator== (const TAO_GIOP_Message_Version &src)
| Equality operator.
int | operator!= (const TAO_GIOP_Message_Version &src)
## Public Attributes
CORBA::Octet | major
| Major version number.
CORBA::Octet | minor
| Minor version number.

## Detailed Description

Major and Minor version number of the Inter-ORB Protocol.

## Constructor & Destructor Documentation

ACE_INLINE TAO_GIOP_Message_Version::TAO_GIOP_Message_Version ( | const TAO_GIOP_Message_Version & src )

| Copy constructor.

ACE_INLINE TAO_GIOP_Message_Version::TAO_GIOP_Message_Version ( | CORBA::Octet maj = TAO_DEF_GIOP_MAJOR,
| CORBA::Octet min = TAO_DEF_GIOP_MINOR )

| Default constructor.

ACE_INLINE TAO_GIOP_Message_Version::~TAO_GIOP_Message_Version ( | void )

| Destructor.

## Member Function Documentation

ACE_INLINE int TAO_GIOP_Message_Version::operator!= ( | const TAO_GIOP_Message_Version & src )

ACE_INLINE TAO_GIOP_Message_Version & TAO_GIOP_Message_Version::operator= ( | const TAO_GIOP_Message_Version & src )

| Copy operator.

ACE_INLINE int TAO_GIOP_Message_Version::operator== ( | const TAO_GIOP_Message_Version & src )

| Equality operator.

ACE_INLINE void TAO_GIOP_Message_Version::set_version ( | CORBA::Octet maj,
| CORBA::Octet min )

| Explicitly set the major and minor version.

## Member Data Documentation

CORBA::Octet TAO_GIOP_Message_Version::major

| Major version number.

CORBA::Octet TAO_GIOP_Message_Version::minor

| Minor version number.

The documentation for this class was generated from the following files:

- GIOP_Message_Version.h
- GIOP_Message_Version.inl